.footer {
  margin-top: auto;

  &__text {
    padding: $s6 0;
    
    @include for-tablet-up{
      padding: $s8 0;
    }

  }
}

.main-theme {
  .footer {
    display: grid;
    place-items: center;
    margin-bottom: $s6;
    transform: skewY(-1deg);
  }

  .footer__text {
    position: relative;
    background-color: var(--neon-blue);
    color: white;
    font-weight: bold;
    z-index:1;
    padding-left: $s4;
    padding-right: $s4;
    margin: 0 auto;

    &:after {
      content: "";
      position: absolute;
      height: 100%;
      width: 100%;
      top: 0; left: 0;
      transform: translateX(var(--neon-offset-x)) translateY(var(--neon-offset-y));
      background-color: var(--neon-yellow);
      mix-blend-mode: var(--blend-mode);
      z-index: -1;
    }

    a {
      color: var(--neon-yellow);
      &:focus {
        outline: 2px solid var(--neon-yellow);
      }
    }

    @include for-tablet-up{
      padding-left: $s9;
      padding-right: $s9;
    }
  }
}